#include <QApplication>
#include <QDesktopWidget>
#include <QTextCodec>
#include "html5applicationviewer.h"
#include "filemanagerservice.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

#if QT_VERSION < 0x050000
    QTextCodec::setCodecForCStrings(QTextCodec::codecForLocale());
#endif

    Html5ApplicationViewer viewer;
    viewer.setOrientation(Html5ApplicationViewer::ScreenOrientationAuto);
    viewer.showExpanded();
    viewer.loadFile(QLatin1String("qrc:/html/index.html"));

    QRect desktopRect = QApplication::desktop()->availableGeometry(&viewer);
    QSize size = QSize(800, 600).boundedTo(desktopRect.size());
    viewer.resize(size);
    viewer.setWindowTitle("D-Case Weaver");

    FileManagerService service(0, &viewer);

    return app.exec();
}
